---
postgresql_version: 15

postgresql_users:
  authentik:
    password: "{{ lookup('community.hashi_vault.hashi_vault', 'postgresql/data/users/authentik')['password'] }}"

  gcc_site:
    password: "{{ lookup('community.hashi_vault.hashi_vault', 'postgresql/data/users/gcc_site')['password'] }}"

  headscale:
    password: "{{ lookup('community.hashi_vault.hashi_vault', 'postgresql/data/users/headscale')['password'] }}"

  ndf:
    password: "{{ lookup('community.hashi_vault.hashi_vault', 'postgresql/data/users/ndf')['password'] }}"

  redmine:
    password: "{{ lookup('community.hashi_vault.hashi_vault', 'postgresql/data/users/redmine')['password'] }}"

  vaultwarden:
    password: "{{ lookup('community.hashi_vault.hashi_vault', 'postgresql/data/users/vaultwarden')['password'] }}"

  yakafet:
    password: "{{ lookup('community.hashi_vault.hashi_vault', 'postgresql/data/users/yakafet')['password'] }}"

postgresql_dbs:
  authentik: authentik
  gcc_site: gcc_site
  headscale: headscale
  ndf: ndf
  redmine: redmine
  vaultwarden: vaultwarden
  yakafet: yakafet

postgresql_config:
  ssl_cert_file: "'{{ acme_vault_client_cert_dir }}/postgresql.th2.hxg.prologin.dev/fullchain.pem'"
  ssl_key_file: "'{{ acme_vault_client_cert_dir }}/postgresql.th2.hxg.prologin.dev/key.pem'"

postgresql_authentication_policies:
  - type: host
    database: all
    user: all
    address: "192.168.1.0/24"
    method: scram-sha-256
